abclinuxu.cz AbcLinuxu.cz itbiz.cz ITBiz.cz HDmag.cz HDmag.cz abcprace.cz AbcPráce.cz
AbcLinuxu hledá autory!
Inzerujte na AbcPráce.cz od 950 Kč
Rozšířené hledání
×

včera 17:33 | Nová verze

Po roce vývoje od vydání verze 2.0 a 6 000 změnách byla vydána nová stabilní verze 3.0 softwaru, který vytváří aplikační rozhraní umožňující chod aplikací pro Microsoft Windows také pod GNU/Linuxem, Wine (Wikipedie). Z novinek lze zdůraznit například podporu Direct3D 10 a 11. Podrobnosti v poznámkách k vydání.

Ladislav Hagara | Komentářů: 0
včera 13:44 | Zajímavý projekt

V říjnu loňského roku úspěšně skončila kampaň na podporu chytrého telefonu Librem 5, jenž by měl respektovat bezpečnost, svobodu a soukromí uživatelů. Společnost Purism informuje o aktuálním vývoji tohoto telefonu. Místo plánovaného SoC i.MX6 by měl být použit úspornější i.MX8.

Ladislav Hagara | Komentářů: 3
včera 12:33 | Zajímavý projekt

V květnu loňského roku měl na YouTube premiéru krátký animovaný film Agent 327: Operation Barbershop. Blender Animation Studio včera zveřejnilo alternativní konec tohoto filmu.

Ladislav Hagara | Komentářů: 0
včera 05:55 | Bezpečnostní upozornění

Společnost Oracle vydala čtvrtletní bezpečnostní aktualizaci svých softwarových produktů (CPU, Critical Patch Update). Opraveno bylo celkově 237 bezpečnostních chyb. V Oracle Java SE je například opraveno 21 bezpečnostních chyb. Vzdáleně zneužitelných bez autentizace je 18 z nich. V Oracle MySQL je opraveno 25 bezpečnostních chyb. Vzdáleně zneužitelných bez autentizace je 6 z nich.

Ladislav Hagara | Komentářů: 0
17.1. 20:55 | Komunita

Linux ve VirtualBoxu nebude potřebovat Přídavky pro hosta (Guest Additions). Budou součástí linuxového jádra. Ovladač vboxguest by se měl dostat do Linuxu 4.16. Ovladač vboxsf by měl následovat.

Ladislav Hagara | Komentářů: 20
17.1. 17:11 | Komunita

Vývojáři Thunderbirdu žádají o vyplnění dotazníku. Upřednostňujete klasický vzhled nebo raději Monterail (GitHub)?

Ladislav Hagara | Komentářů: 22
17.1. 12:22 | Komunita

Mozilla.cz informuje, že většina problémů s rychlostí Firefoxu 57 při použití open source odečítače NVDA (NonVisual Desktop Access) budou vyřešeny hned v další verzi Firefoxu 58. NVDA je zatím dostupný pouze pro operační systémy Windows.

Ladislav Hagara | Komentářů: 1
17.1. 05:55 | Bezpečnostní upozornění

V knihovně glibc (GNU C Library) byla nalezena a v upstreamu opravena bezpečnostní chyba CVE-2018-1000001 (buffer underflow) zneužitelná k lokální eskalaci práv. Podrobnosti na halfdog.net.

Ladislav Hagara | Komentářů: 0
16.1. 13:11 | Komunita

Mozilla.cz informuje o 2 plánovaných novinkách ve Firefoxu. Nové webové funkce budou ve Firefoxu dostupné jen přes HTTPS (en) a nové verze Firefoxu přinesou rychlejší přepínání panelů (předehřívání nebo žhavení panelů, anglicky tab warming).

Ladislav Hagara | Komentářů: 5
16.1. 12:44 | IT novinky

Hodnota Bitcoinu, decentralizované kryptoměny, klesla na cca 12 000 dolarů. Před měsícem byla hodnota Bitcoinu téměř 20 000 dolarů [reddit].

Ladislav Hagara | Komentářů: 41
Jak se vás potenciálně dotkne trend odstraňování analogového audio konektoru typu 3,5mm jack z „chytrých telefonů“?
 (7%)
 (1%)
 (1%)
 (1%)
 (77%)
 (13%)
Celkem 1328 hlasů
 Komentářů: 53, poslední 17.1. 16:55
    Rozcestník

    Dotaz: Gimp 2.0.1 a gtk+-2.2.4 v /usr/local

    prometeus avatar 17.5.2004 15:34 prometeus | skóre: 9 | blog: Nielen historický blog
    Gimp 2.0.1 a gtk+-2.2.4 v /usr/local
    Přečteno: 195×
    Mám Mandrake 9.1, ktorý obsahuje gtk+-2.2.1. Snažím sa skompilovať najnovší Gimp 2.0.1, ale hádže mi to chybovú hlášku, a pýta si to minimálnu verziu gtk+-2.2.2. Tak som si teda stiahol a skompiloval verziu gtk+-2.2.4, ktorá by mala postačovať. Nainštalovalo sa mi to do adresárov v /usr/local. Pri kompilácii Gimpu mi to však stále deteguje iba tú starú gtk+ v adresároch /usr/. Ako mám nastaviť configure, aby sa mi to skompilovalo s novou verziou? Ďakujem za každú radu.
    Kto vraví pravdu, ten neumrie na chorobu. -- Džingischán

    Odpovědi

    17.5.2004 17:48 unchallenger | skóre: 69 | blog: unchallenger
    Rozbalit Rozbalit vše Re: Gimp 2.0.1 a gtk+-2.2.4 v /usr/local
    Předně, pokud nainstaluješ několik různých verzí téže knihovny a nevíš přitom velmi dobře, co děláš, budeš se asi často divit...

    Jinak configure to Gtk+ v /usr/local nenajde, protože pkg-config nemá v PKG_CONFIG_PATH defautlně adresář /usr/local/lib/pkgconfig, takže si ho tam přidej.
    prometeus avatar 17.5.2004 21:14 prometeus | skóre: 9 | blog: Nielen historický blog
    Rozbalit Rozbalit vše Re: Gimp 2.0.1 a gtk+-2.2.4 v /usr/local
    No takže som to vyriešil tak, že touto skoro identickou verziou gtk+ som prepísal tú staršiu a nevidím žiadny zádrhel ani od aplikácií, ktoré záviseli na tej predošlej knižnici, čoho som sa najviac obával. Uvedomujem si, že to nie je najčistejšie riešenie, ale účel svätí prostriedky. Ďakujem za ten PKG_CONFIG_PATH, doposiaľ som si ani neuvedomil, že také niečo existuje.
    Kto vraví pravdu, ten neumrie na chorobu. -- Džingischán
    prometeus avatar 17.5.2004 21:16 prometeus | skóre: 9 | blog: Nielen historický blog
    Rozbalit Rozbalit vše Re: Gimp 2.0.1 a gtk+-2.2.4 v /usr/local
    Ešte by som sa chcel opýtať, kde sa ten PKG_CONFIG_PATH nastavuje....
    Kto vraví pravdu, ten neumrie na chorobu. -- Džingischán
    17.5.2004 21:24 unchallenger | skóre: 69 | blog: unchallenger
    Rozbalit Rozbalit vše Re: Gimp 2.0.1 a gtk+-2.2.4 v /usr/local
    Kdekoli ;) To je proměnná prostředí.
    17.5.2004 21:28 unchallenger | skóre: 69 | blog: unchallenger
    Rozbalit Rozbalit vše Re: Gimp 2.0.1 a gtk+-2.2.4 v /usr/local
    Chm, a teď zkus spustit rpm --verify libgtk+2.0_0 libgtk+2.0_0-devel...
    prometeus avatar 17.5.2004 21:57 prometeus | skóre: 9 | blog: Nielen historický blog
    Rozbalit Rozbalit vše Re: Gimp 2.0.1 a gtk+-2.2.4 v /usr/local
    Vypísalo mi to tieto riadky: S.5....T /usr/lib/gtk-2.0/2.2.0/immodules/im-am-et.so S.5....T /usr/lib/gtk-2.0/2.2.0/immodules/im-cyrillic-translit.so S.5....T /usr/lib/gtk-2.0/2.2.0/immodules/im-hangul.so S.5....T /usr/lib/gtk-2.0/2.2.0/immodules/im-inuktitut.so S.5....T /usr/lib/gtk-2.0/2.2.0/immodules/im-ipa.so S.5....T /usr/lib/gtk-2.0/2.2.0/immodules/im-thai-broken.so S.5....T /usr/lib/gtk-2.0/2.2.0/immodules/im-ti-er.so S.5....T /usr/lib/gtk-2.0/2.2.0/immodules/im-ti-et.so S.5....T /usr/lib/gtk-2.0/2.2.0/immodules/im-viqr.so S.5....T /usr/lib/gtk-2.0/2.2.0/immodules/im-xim.so

    pri devel ich bolo ešte o čosi viac, malo by to byť vporiadku?
    Kto vraví pravdu, ten neumrie na chorobu. -- Džingischán
    prometeus avatar 17.5.2004 22:01 prometeus | skóre: 9 | blog: Nielen historický blog
    Rozbalit Rozbalit vše Re: Gimp 2.0.1 a gtk+-2.2.4 v /usr/local
    to S.5....T sa nachádza vždy na začiatku nového riadka - blbo sa mi to zobrazilo.
    Kto vraví pravdu, ten neumrie na chorobu. -- Džingischán
    17.5.2004 22:53 unchallenger | skóre: 69 | blog: unchallenger
    Rozbalit Rozbalit vše Re: Gimp 2.0.1 a gtk+-2.2.4 v /usr/local
    No, to byla demonstrace, že balíčkový systém se proměňuje v chaos, všechny vypsané soubory jsou jiné, než si rpm myslí, že tam mají být. Možná tam také nějaké přibyly, ale to už asi nikdo nikdy nezjistí... Takhle nějak totiž funguje upgrade sw na Windows ;) a proto dlouho nevydží bez reinstalace...

    (V MDK 10 je samozřejmě dostatečně nové Gtk+, dokonce i v 9.2; pokud chceš kompilovat nejnovější verze programů, potřebuješ relativně aktuální systém.)
    prometeus avatar 17.5.2004 23:27 prometeus | skóre: 9 | blog: Nielen historický blog
    Rozbalit Rozbalit vše Re: Gimp 2.0.1 a gtk+-2.2.4 v /usr/local
    To budete mať určite pravdu. Keďže pri kompilácii gimpu mi to síce tento krát gtk+ našlo ale zasa to požadovalo vyššiu verziu pango. Tak som skompiloval aj tú, keď mi to zobralo aj pango, zasa si to pýta vyššiu verziu fontconfig, ktorý má aj svoju knižnicu, počítam že ďalej si to bude pýtať glibc atd atd... Tkakže asi to budem musieť vzdať.
    Kto vraví pravdu, ten neumrie na chorobu. -- Džingischán
    prometeus avatar 18.5.2004 00:29 prometeus | skóre: 9 | blog: Nielen historický blog
    Rozbalit Rozbalit vše Re: Gimp 2.0.1 a gtk+-2.2.4 v /usr/local
    Takže to idem dávať do pôvodného stavu. Stále však nemôžem prísť na to ako v Mandrake 9.1 nastavím path na /usr/local/lib. V RH 6.2 a 7.0 to bolo myslím v /etc/bashrc resp. /etc/profile. Sorry za takéto otázky, ale nejaký ten rok som bol nútený pracovať pod Win. Mandrake to má rozhádzané po kadejakých konfigurákoch. Rozmýšľam už vážne nad prechodom k Debianu resp. Slackware. Tam sa mi zasa zdá dosť otázna aktuálnosť softvérového vybavenia.
    Kto vraví pravdu, ten neumrie na chorobu. -- Džingischán
    18.5.2004 18:10 unchallenger | skóre: 69 | blog: unchallenger
    Rozbalit Rozbalit vše Re: Gimp 2.0.1 a gtk+-2.2.4 v /usr/local
    Když v /etc/profile přidáš do PATH /usr/local/bin (někde tam, kde se přidává /usr/X11R6/bin), mělo by to normálně fungovat (nemám nikde 9.1, soudím podle 9.0).
    Stanislav Brabec avatar 19.5.2004 14:14 Stanislav Brabec | skóre: 45 | Praha
    Rozbalit Rozbalit vše Re: Gimp 2.0.1 a gtk+-2.2.4 v /usr/local
    GNOME2/GTK+2 je po určitém ošetření schopno běžet i mimo systémové cesty a používat přitom ostatní komponenty ze systému. Doporučuji nastavit:

    PATH MANPATH INFOPATH ACLOCAL_PATH (a ještě lépe přidat do /usr/share/aclocal/dirlist). PKG_CONFIG_PATH GNOME2_PATH GTK_PATH

    a možná také: LIBGLADE_MODULE_PATH GTK_MODULES GTK2_RC_FILES GNOME_VFS_MODULE_PATH GNOME_VFS_MODULE_CONFIG_PATH
    29.5.2004 17:33 yerry
    Rozbalit Rozbalit vše Re: Gimp 2.0.1 a gtk+-2.2.4 v /usr/local
    Predsa len sa pokúšam zeditovať tie konfiguračné súbory s gtk+-2.2.4 v /usr/local. Môžete mi to bližšie popísať - čo, kde, kam?
    29.5.2004 17:38 unchallenger | skóre: 69 | blog: unchallenger
    Rozbalit Rozbalit vše Re: Gimp 2.0.1 a gtk+-2.2.4 v /usr/local
    Jaké konfigurační soubory v /usr/local?
    29.5.2004 21:11 yerry
    Rozbalit Rozbalit vše Re: Gimp 2.0.1 a gtk+-2.2.4 v /usr/local
    Asi som sa zle vyjadril. Tie skompilované knižnice ako GTK+-2.2.4 a Pango a ďalšie, ktoré sú potrebné pre skompilovanie nového Gimpu 2.0.1., sa mi inštalovali do /usr/local. Ide mi o to, ktoré premenné prostredia v ktorých konkrátnych súboroch na Mandrake 9.1 treba zeditovať, aby mi systém pri kompilácii Gimpu našiel práve tieto nové knižnice a nie tie staré, ktoré sa štandarcne nainštalovali pri inštalácii Mandraku do /usr/bin, /usr/lib atd... Prednedávnom som tie staré proste prepísal novými a šlapalo to. Ale to sa mi zdalo byť hnus, takže som to uviedol do pôvodného stavu. Teda čo presne mám urobiť, aby mi systém detegoval tieto nové knižnice, ale zachoval aj tie pôvodné?
    29.5.2004 21:21 yerry
    Rozbalit Rozbalit vše Re: Gimp 2.0.1 a gtk+-2.2.4 v /usr/local
    Ešte ma napadlo, nešlo by to jednoduchšie nejak ako: configure --with /usr/lib/gtk+-2.2.4 /usr/lib/pango 1.x.x ? Nepoznám presnú syntax (v angličtne nie som moc zbehlý).
    29.5.2004 21:24 yerry
    Rozbalit Rozbalit vše Re: Gimp 2.0.1 a gtk+-2.2.4 v /usr/local
    Prepáčte, mal som na mysli niečo ako configure --with /usr/local/lib/gtk+-2.2.4.......
    29.5.2004 22:08 unchallenger | skóre: 69 | blog: unchallenger
    Rozbalit Rozbalit vše Re: Gimp 2.0.1 a gtk+-2.2.4 v /usr/local
    To je pořád dokola ;) Nastav si PKG_CONFIG_PATH, což je normální proměnná prostředí. Pokud ji chceš nastavovat v nějakém souboru, tak asi v ~/.bashrc.

    Co píše Stanislav Brabec, to se týká spíš instalace do hodně nestandardního adresáře, než /usr/local (a pak bych nastavoval třeba ještě LD_LIBRARY_PATH a možná další věci).

    Nejlepší je stejně upgradnout na kterýkoli novější Mandrake, kde máš ty nové verze přímo v distribuci. Druhá nejlepší možnst je rebuildnout si rpm těch nových knihoven na svém starém MDK, pokud to člověk zvládne.

    Ostatní postupy, jako instalace více verzí Gtk+ zároveň, přepisování věcí z balíčku čímsi zkompilovaným a pod., jsou haluz.

    Založit nové vláknoNahoru

    Tiskni Sdílej: Linkuj Jaggni to Vybrali.sme.sk Google Del.icio.us Facebook

    ISSN 1214-1267   www.czech-server.cz
    © 1999-2015 Nitemedia s. r. o. Všechna práva vyhrazena.